%define oname urlgrabber
%define name python-%oname
%define version 2.9.9

Summary: A high-level cross-protocol url-grabber
Name: %{name}
Version: %{version}
Release: %mkrel 4
Source0: http://linux.duke.edu/projects/urlgrabber/download/%{oname}-%{version}.tar.bz2
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
Url: http://linux.duke.edu/projects/mini/urlgrabber/
BuildRequires: python-devel

%description
A high-level cross-protocol url-grabber.

Using urlgrabber, data can be fetched in three basic ways:

  urlgrab(url) copy the file to the local filesystem
  urlopen(url) open the remote file and return a file object (like
  urllib2.urlopen)
  urlread(url) return the contents of the file as a string

When using these functions (or methods), urlgrabber supports the following 
features:

  * identical behavior for http://, ftp://, and file:// urls
  * http keepalive - faster downloads of many files by using only a single 
    connection
  * byte ranges - fetch only a portion of the file
  * reget - for a urlgrab, resume a partial download
  * progress meters - the ability to report download progress automatically, 
    even when using urlopen!
  * throttling - restrict bandwidth usage
  * retries - automatically retry a download if it fails. The number of retries
    and failure types are configurable.
  * authenticated server access for http and ftp
  * proxy support - support for authenticated http and ftp proxies
  * mirror groups - treat a list of mirrors as a single source, automatically 
    switching mirrors if there is a failure.


%prep
%setup -q -n %oname-%version

%build
python setup.py build

%install
rm -rf %buildroot installed-docs
python setup.py install --root=%{buildroot}
mv %buildroot%_datadir/doc/%oname-%version/ installed-docs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc installed-docs/*
%_bindir/%oname
%py_puresitedir/%oname/
%py_puresitedir/*.egg-info




%changelog
* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.9.9-4mdv2008.1
+ Revision: 166738
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.9.9-4mdv2008.0
+ Revision: 67518
- rebuild


* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.9-3mdv2007.0
+ Revision: 96456
- include egg-info files
- Import python-urlgrabber

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 2.9.9-1mdv2007.0
- Rebuild

* Fri May 19 2006 Götz Waschk <waschk@mandriva.org> 2.9.9-1mdk
- New release 2.9.9

* Sat Feb 25 2006 Götz Waschk <waschk@mandriva.org> 2.9.8-1mdk
- New release 2.9.8

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 2.9.6-2mdk
- Use new python macro
- use mkrel

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 2.9.6-1mdk
- New release 2.9.6

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.9.0-2mdk
- Rebuild for new python

* Thu Nov 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.0-1mdk
- initial package

